chevron-thin-right chevron-thin-left brand cancel-circle search youtube-icon google-plus-icon linkedin-icon facebook-icon twitter-icon toolbox download check linkedin phone twitter-old google-plus facebook profile-male chat calendar profile-male
0 votes
I'm using "TMockRunner nunit-console assembly.dll"  to run typemock test on Teamcity build agent server.

The assembly.dll is targeted .NET 4.5 and nunit-console is version 2.6.4

However, when running the typemock test using TMockRunner.

It's mentioned the CLR Version: 2.0.50727.5485 ( Net 3.5 )

Execution Runtime: net-3.5

Which might be the reason causing some abnormal result in the test result.

 

The server has .NET Framework 4.6 installed.

May I know how to specified the .net version while running test by TMockRunner ?
asked by cscmh99 (36.1k points)

2 Answers

0 votes
Hi!

You need to run TMockRunner with "-target 4.5" argument, it should help.

See here: https://www.typemock.com/docs?book=Isolator&page=Documentation%2FHtmlDocs%2Fintegratingwithcustombuildservers.htm
answered by eva (1.6k points)
I test "TMockRunner -target 4.5 nunit-console xxx.dll"  using command prompt

it's still indicated

CLR Version : 3.5

Execution Runtime: net-3.5

Anything wrong ?
Try to run nunit-console without Typemock and see what's indicating
Well ... apparently, there's no problem setting target .net framework using nunit-console /framework 4.5

it's just "typemock -target 4.5"  doesn't do anything.
0 votes

 

In addition to writing -target, you will have to allow nunit-console to run in a higher version (as it is set to run 3.5)

 

See https://groups.google.com/forum/#!topic/nunit-discuss/E4dHP816z7w 

editing the nunit-console-x86.exe.config file's <startup...> section to add     <supportedRuntime version="v4.0"/>

answered by eli (5.1k points)
...